Simplify test warning filter for Pip 22.2 master
authorJeremy Stanley <fungi@yuggoth.org>
Tue, 2 Aug 2022 13:54:39 +0000 (13:54 +0000)
committerJeremy Stanley <fungi@yuggoth.org>
Tue, 2 Aug 2022 13:54:39 +0000 (13:54 +0000)
The fix to replace Pip's use of the deprecated cgi module was
included in the 22.2 release, so we can clean up our exclusion for
that particular DeprecationWarning.

tox.ini

diff --git a/tox.ini b/tox.ini
index f9fd393..0585b26 100644 (file)
--- a/tox.ini
+++ b/tox.ini
@@ -16,9 +16,8 @@ basepython = python3
 # py311... Cython.Compiler.Main raises FutureWarning "Cython directive
 #   'language_level' not set, using 2 for now (Py2). This will change in a
 #   later release!" but this can't be matched by message because it has a comma
-# py311... pip._internal.index.collector and Cython.Tempita raise
-#   DeprecationWarning "'cgi' is deprecated and slated for removal in Python
-#   3.13"
+# py311... Cython.Tempita raises DeprecationWarning "'cgi' is deprecated and
+#   slated for removal in Python 3.13"
 # py311... passlib.utils raises DeprecationWarning "'crypt' is deprecated and
 #   slated for removal in Python 3.13"
 # py311... mudpy.tests.selftest raises DeprecationWarning "'telnetlib' is
@@ -64,7 +63,7 @@ basepython = python3
 #   contains a colon
 setenv =
     PYTHONWARNDFAULTENCODING = 1
-    PYTHONWARNINGS = error, ignore::FutureWarning:Cython.Compiler.Main, ignore::DeprecationWarning:distutils.command.install, ignore:The distutils package is deprecated and slated for removal in Python 3.12. Use setuptools or check PEP 632 for potential alternatives:DeprecationWarning, ignore:Creating a LegacyVersion has been deprecated and will be removed in the next major release:DeprecationWarning, ignore:SelectableGroups dict interface is deprecated. Use select.:DeprecationWarning:flake8.plugins.manager, ignore:setup.py install is deprecated. Use build and pip and other standards-based tools., ignore:easy_install command is deprecated. Use build and pip and other standards-based tools., ignore::DeprecationWarning:pip._vendor.certifi.core, ignore::DeprecationWarning:pip._vendor.pep517.in_process, ignore:'cgi' is deprecated and slated for removal in Python 3.13:DeprecationWarning:pip._internal.index.collector, ignore:'cgi' is deprecated and slated for removal in Python 3.13:DeprecationWarning:Cython.Tempita, ignore:'crypt' is deprecated and slated for removal in Python 3.13:DeprecationWarning:passlib.utils, ignore:'telnetlib' is deprecated and slated for removal in Python 3.13:DeprecationWarning:mudpy.tests.selftest, ignore::Warning:setuptools.command.build_py, ignore:Support for `[tool.setuptools]` in `pyproject.toml` is still *beta*.:Warning:setuptools.config.pyprojecttoml
+    PYTHONWARNINGS = error, ignore::FutureWarning:Cython.Compiler.Main, ignore::DeprecationWarning:distutils.command.install, ignore:The distutils package is deprecated and slated for removal in Python 3.12. Use setuptools or check PEP 632 for potential alternatives:DeprecationWarning, ignore:Creating a LegacyVersion has been deprecated and will be removed in the next major release:DeprecationWarning, ignore:SelectableGroups dict interface is deprecated. Use select.:DeprecationWarning:flake8.plugins.manager, ignore:setup.py install is deprecated. Use build and pip and other standards-based tools., ignore:easy_install command is deprecated. Use build and pip and other standards-based tools., ignore::DeprecationWarning:pip._vendor.certifi.core, ignore::DeprecationWarning:pip._vendor.pep517.in_process, ignore:'cgi' is deprecated and slated for removal in Python 3.13:DeprecationWarning:Cython.Tempita, ignore:'crypt' is deprecated and slated for removal in Python 3.13:DeprecationWarning:passlib.utils, ignore:'telnetlib' is deprecated and slated for removal in Python 3.13:DeprecationWarning:mudpy.tests.selftest, ignore::Warning:setuptools.command.build_py, ignore:Support for `[tool.setuptools]` in `pyproject.toml` is still *beta*.:Warning:setuptools.config.pyprojecttoml
     PYTHONUTF8 = 1
     VIRTUALENV_CREATOR = venv
 commands = mudpy_selftest mudpy/tests/fixtures/test_daemon.yaml